Package de.gebit.integrity.runner

## Class IntegrityDSLSetup

- java.lang.Object
- - de.gebit.integrity.DSLStandaloneSetupGenerated
  - - de.gebit.integrity.DSLStandaloneSetup
    - - de.gebit.integrity.runner.IntegrityDSLSetup

- All Implemented Interfaces:
    `org.eclipse.xtext.ISetup`

      public class IntegrityDSLSetup
      extends DSLStandaloneSetup

  Initialization support for running Xtext languages without equinox extension registry. This class is intended to be an override entry point for Integrity framework users who want to customize certain parts of the framework. The most interesting methods probably are `createGuiceModule(ClassLoader)`, which allows to use a custom Guice module class instead of the default (this custom class allows you to override any of the internal Integrity services) and `overrideBindings(Binder)`, which also allows an override of Guice bindings, but without having to subclass the module. If you want to override the entire Guice injector creation, you may be interested in `createInjector()`.
  Author:
    Rene Schneider - initial API and implementation

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `disableModelChecks` | Whether model checking shall be disabled by overriding the model checker.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntegrityDSLSetup()` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected IntegrityRunnerModule` | `createGuiceModule​(ClassLoader aClassLoader)` | Instantiates the Guice module class.
    `com.google.inject.Injector` | `createInjector()` |
    `protected void` | `overrideBindings​(com.google.inject.Binder aBinder)` | Overrides certain bindings with non-default classes.
    `void` | `setDisableModelChecks​(boolean aDisableModelChecksFlag)` |

    - ### Methods inherited from class de.gebit.integrity.DSLStandaloneSetup

      `getClassLoader, setClassLoader`

    - ### Methods inherited from class de.gebit.integrity.DSLStandaloneSetupGenerated

      `createInjectorAndDoEMFRegistration, register`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### disableModelChecks

          protected boolean disableModelChecks

      Whether model checking shall be disabled by overriding the model checker.

  - ### Constructor Detail

    - #### IntegrityDSLSetup

          public IntegrityDSLSetup()

      Creates a new instance.

  - ### Method Detail

    - #### setDisableModelChecks

          public void setDisableModelChecks​(boolean aDisableModelChecksFlag)

    - #### createInjector

          public com.google.inject.Injector createInjector()

      Overrides:
        `createInjector` in class `DSLStandaloneSetup`

    - #### createGuiceModule

          protected IntegrityRunnerModule createGuiceModule​(ClassLoader aClassLoader)

      Instantiates the Guice module class. This method is provided to have a nice place to override in subclasses if a subclassed module class is to be used instead of the default.
      Parameters:
        `aClassLoader` -
      Returns:
        the module instance

    - #### overrideBindings

          protected void overrideBindings​(com.google.inject.Binder aBinder)

      Overrides certain bindings with non-default classes. This can also be used in subclasses to override bindings, as an alternative to creating a new module based on the default `IntegrityRunnerModule`, although the latter is the suggested method.
      Parameters:
        `aBinder` -